org.jboss.netty.util

## Class DefaultObjectSizeEstimator

- java.lang.Object
- - org.jboss.netty.util.DefaultObjectSizeEstimator

All Implemented Interfaces:
  ObjectSizeEstimator

    public class DefaultObjectSizeEstimator
    extends Object
    implements ObjectSizeEstimator

The default `ObjectSizeEstimator` implementation for general purpose.

### Constructor Summary

Constructors
Constructor and Description
`DefaultObjectSizeEstimator()` Creates a new instance.

### Method Summary

Methods
`int` `estimateSize(Object o)` Returns the estimated size of the specified object in bytes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultObjectSizeEstimator

    public DefaultObjectSizeEstimator()

Creates a new instance.

### Method Detail

#### estimateSize

    public int estimateSize(Object o)

Description copied from interface: `ObjectSizeEstimator`
Returns the estimated size of the specified object in bytes.

Specified by:
  `estimateSize` in interface `ObjectSizeEstimator`
Returns:
  a positive integer which represents the size of the specified object in bytes